Skip to content
Start here

Fetch all apps

realtime_kit.apps.get(AppGetParams**kwargs) -> AppGetResponse
GET/accounts/{account_id}/realtime/kit/apps

Fetch all apps for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
page_no: Optional[int]

The page number from which you want your page search results to be displayed.

minimum1
per_page: Optional[int]

Number of results per page.

minimum1
sort_order: Optional[Literal["ASC", "DESC"]]

Sort order for apps by creation time.

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
class AppGetResponse:
data: Optional[List[Data]]
id: Optional[str]
formatuuid
created_at: Optional[datetime]
formatdate-time
name: Optional[str]
paging: Optional[Paging]
end_offset: Optional[float]
start_offset: Optional[float]
total_count: Optional[float]
success: Optional[bool]

Fetch all apps

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
app = client.realtime_kit.apps.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(app.data)
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}